VOS_UNLOCKVLDB(1)

NAME
vos_unlockvldb - Unlocks several locked VLDB entries

SYNOPSIS
vos unlockvldb [-server <machine name>]
    [-partition <partition name>]
    [-cell <cell name>]
    [-noauth] [-localauth]
    [-verbose] [-encrypt] [-noresolve]
    [-config <config directory>]
    [-help]

vos unlockv [-s <machine name>]
    [-p <partition name>]
    [-c <cell name>]
    [-noa] [-l] [-v] [-e] [-nor]
    [-co <config directory>]
    [-h]

DESCRIPTION
The vos unlockvldb command releases the lock on the Volume Location Database (VLDB) entries indicated by the combination of arguments provided:

•   To unlock all entries in the VLDB, provide no arguments.

•   To unlock all entries that mention a file server machine in a site definition, provide its name with the -server argument.

•   To unlock all entries that mention a partition on any file server machine in a site definition, provide the partition name with the -partition argument.

•   To unlock all entries that mention a specific site, provide both the -server and -partition arguments.

To unlock a single volume, use the vos unlock command instead.

CAUTIONS
Do not use this command under normal circumstances.

It is useful if VLDB entries for volumes at a certain site are locked but there is no reason to suspect inconsistency within the volume or between it and the VLDB. Note that it is possible to list information from locked VLDB entries, even though they cannot be manipulated in other ways.

The vos lock command locks a VLDB entry so that no one else can perform an action that requires writing the VLDB.

OPTIONS

-server <server name>
    Identifies the file server machine for which to unlock VLDB entries. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see vos(1).

-partition <partition name>
    Identifies the partition (on the file server machine specified by the -server argument) for which to unlock VLDB entries. Provide the partition's complete name with preceding slash (for example, "/vicepa") or use one of the three acceptable abbreviated forms. For details, see vos(1).

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see vos(1).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see vos(1).

-localauth
    Constructs a server ticket using a key from the local /etc/openafs/server/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see vos(1).

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-encrypt
    Encrypts the command so that the operation's results are not transmitted across the network in clear text. This option is available in OpenAFS versions 1.4.11 or later and 1.5.60 or later.

-noresolve
    Shows all servers as IP addresses instead of the DNS name. This is very useful when the server address is registered as 127.0.0.1 or when dealing with multi-homed servers. This option is available in OpenAFS versions 1.4.8 or later and 1.5.35 or later.

-config <configuration directory>
    Set the location of the configuration directory to be used. This defaults to /etc/openafs, except if -localauth is specified, in which case the default is /etc/openafs/server. This option allows the use of alternative configuration locations for testing purposes.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command unlocks all locked entries in the VLDB.

   % vos unlockvldb

The following command unlocks all locked VLDB entries that mention the /vicepa partition in a site definition.

   % vos unlockvldb -partition a

The following command unlocks all locked VLDB entries that refer to volumes on the /vicepc partition of the file server machine "fs3.example.com".

   % vos unlockvldb -server fs3.example.com -partition c

PRIVILEGE REQUIRED
The issuer must be listed in the /etc/openafs/server/UserList file on the machine specified with the -server argument and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser "root".

SEE ALSO
vos(1), vos_lock(1), vos_unlock(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.